// Device Number, Function Number, Alarm Number, RBTerrcode, Alarm describe, Alarm describe(detail)

/*
*  Robot system software - device 0x01
*/

//System error - function 0x01
DEF(0x01, 0x01, 0x10,    0);// System initialization failure
DEF(0x01, 0x01, 0x11, 3011);// Motion library load failure
DEF(0x01, 0x01, 0x12,    0);// Motion library initialization failure
DEF(0x01, 0x01, 0x13,    0);// Motion library memory initialization failure
DEF(0x01, 0x01, 0x14,    0);// Motion library start failure
DEF(0x01, 0x01, 0x20, 3001);// E-CAT library loading failure
DEF(0x01, 0x01, 0x21, 3002);// E-CAT disconnection
DEF(0x01, 0x01, 0x22, 3003);// E-CAT initialization failure
DEF(0x01, 0x01, 0x23, 3013);// E-CAT line crossing
DEF(0x01, 0x01, 0x24, 3014);// E-CAT none slave
DEF(0x01, 0x01, 0x25, 3015);// E-CAT unknown slave
DEF(0x01, 0x01, 0x26, 3016);// E-CAT slave none response
DEF(0x01, 0x01, 0x27, 3017);// E-CAT cycle alarm
DEF(0x01, 0x01, 0x28, 3018);// E-CAT cycle jitter
DEF(0x01, 0x01, 0x29, 3019);// E-CAT cycle counter error
DEF(0x01, 0x01, 0x2A, 3020);// E-CAT cycle watchdog error
DEF(0x01, 0x01, 0x2B, 3021);// E-CAT INIT changing error
DEF(0x01, 0x01, 0x2C, 3022);// E-CAT PREOP changing error
DEF(0x01, 0x01, 0x2D, 3023);// E-CAT SAFEOP changing error
DEF(0x01, 0x01, 0x2E, 3024);// E-CAT OP changing error
DEF(0x01, 0x01, 0x2F, 3025);// E-CAT master none response
DEF(0x01, 0x01, 0x30, 3026);// E-CAT master initial error
DEF(0x01, 0x01, 0x31, 3027);// E-CAT busbar scan error
DEF(0x01, 0x01, 0x32, 3028);// E-CAT frame response error
DEF(0x01, 0x01, 0x33, 3029);// E-CAT frame lost
DEF(0x01, 0x01, 0x34, 3030);// E-CAT master counter error of initial comm
DEF(0x01, 0x01, 0x35, 3031);// E-CAT master response error of initial comm
DEF(0x01, 0x01, 0x36, 3032);// E-CAT slave counter error of initial comm
DEF(0x01, 0x01, 0x37, 3033);// E-CAT slave response error of initial comm
DEF(0x01, 0x01, 0x38, 3034);// E-CAT mailbox time out
DEF(0x01, 0x01, 0x39, 3035);// E-CAT mailbox SDO cancel
DEF(0x01, 0x01, 0x3A, 3036);// E-CAT mailbox COE counter recive error
DEF(0x01, 0x01, 0x3B, 3037);// E-CAT mailbox COE counter send error
DEF(0x01, 0x01, 0x3C, 3038);// E-CAT mailbox recive invaild data
DEF(0x01, 0x01, 0x3D, 3039);// E-CAT master alarm
DEF(0x01, 0x01, 0x3E, 3100);// Memory allocate error

DEF(0x01, 0x01, 0x70, 3110);// E-CAT A1 disconnect
DEF(0x01, 0x01, 0x71, 3111);// E-CAT A2 disconnect
DEF(0x01, 0x01, 0x72, 3112);// E-CAT A3 disconnect
DEF(0x01, 0x01, 0x73, 3113);// E-CAT A4 disconnect
DEF(0x01, 0x01, 0x74, 3114);// E-CAT A5 disconnect
DEF(0x01, 0x01, 0x75, 3115);// E-CAT A6 disconnect
DEF(0x01, 0x01, 0x76, 3116);// E-CAT E1 disconnect
DEF(0x01, 0x01, 0x77, 3117);// E-CAT E2 disconnect
DEF(0x01, 0x01, 0x78, 3118);// E-CAT E3 disconnect

DEF(0x01, 0x01, 0x80, 3040);// _INFINITE_TURN_AND_SYNC_MOVE_CANNOT_AT_SAME_TIME_
DEF(0x01, 0x01, 0x81, 3041);// _EXT_AXIS_MUST_BE_INTP_SYNCHRONIZE_MODE_
DEF(0x01, 0x01, 0x82, 3042);// _EXT_AXIS_MUST_BE_INTP_ASYNCHRONIZE_MODE_
DEF(0x01, 0x01, 0x83, 3043);// _EXT_AXIS_MOTION_TYPE_ERROR_
DEF(0x01, 0x01, 0x84, 3044);// _EXT_AXIS_TRACKING_AXIS_ID_ERROR_
DEF(0x01, 0x01, 0x85, 3045);// _EXT_AXIS_MOVING_BASE_CANNOT_FIND_INVERSE_MATRIX_

//Program error - function 0x02

//Motion error - function 0x03
DEF(0x01, 0x03, 0x10, 6009);// Axis 1 following error
DEF(0x01, 0x03, 0x11, 6010);// Axis 2 following error
DEF(0x01, 0x03, 0x12, 6011);// Axis 3 following error
DEF(0x01, 0x03, 0x13, 6012);// Axis 4 following error
DEF(0x01, 0x03, 0x14, 6013);// Axis 5 following error
DEF(0x01, 0x03, 0x15, 6014);// Axis 6 following error
DEF(0x01, 0x03, 0x16, 6022);// Axis 1 position overlimit of positive
DEF(0x01, 0x03, 0x17, 6023);// Axis 1 position overlimit of negative
DEF(0x01, 0x03, 0x18, 6024);// Axis 2 position overlimit of positive
DEF(0x01, 0x03, 0x19, 6025);// Axis 2 position overlimit of negative
DEF(0x01, 0x03, 0x1A, 6026);// Axis 3 position overlimit of positive
DEF(0x01, 0x03, 0x1B, 6027);// Axis 3 position overlimit of negative
DEF(0x01, 0x03, 0x1C, 6028);// Axis 4 position overlimit of positive
DEF(0x01, 0x03, 0x1D, 6029);// Axis 4 position overlimit of negative
DEF(0x01, 0x03, 0x1E, 6030);// Axis 5 position overlimit of positive
DEF(0x01, 0x03, 0x1F, 6031);// Axis 5 position overlimit of negative
DEF(0x01, 0x03, 0x20, 6032);// Axis 6 position overlimit of positive
DEF(0x01, 0x03, 0x21, 6033);// Axis 6 position overlimit of negative
DEF(0x01, 0x03, 0x30, 6021);// XY coor overlimit of soft
DEF(0x01, 0x03, 0x31, 6126);// Joint overspeed
DEF(0x01, 0x03, 0x32, 6127);// Wrist singularity
DEF(0x01, 0x03, 0x33, 6128);// Shoulder singularity
DEF(0x01, 0x03, 0x34, 6129);// Elbow singularity
DEF(0x01, 0x03, 0x40, 3004);// Circle comm 3 points on the same line
DEF(0x01, 0x03, 0x41, 3005);// Circle comm can't found center point
DEF(0x01, 0x03, 0x42, 3006);// Circle comm can't calculate transpose matrix
DEF(0x01, 0x03, 0x50, 3010);// Synchronize output queue overflow
DEF(0x01, 0x03, 0x51, 3009);// Synchronize output overlimit
DEF(0x01, 0x03, 0x52, 3045);// Motion command when compliance teaching
DEF(0x01, 0x03, 0x53, 6190);// Collision detected

DEF(0x01, 0x03, 0x53, 6190);// Collision detected axis 1
DEF(0x01, 0x03, 0x54, 6191);// Collision detected axis 2
DEF(0x01, 0x03, 0x55, 6192);// Collision detected axis 3
DEF(0x01, 0x03, 0x56, 6193);// Collision detected axis 4
DEF(0x01, 0x03, 0x57, 6194);// Collision detected axis 5
DEF(0x01, 0x03, 0x58, 6195);// Collision detected axis 6
DEF(0x01, 0x03, 0x59, 6196);// Collision detected axis E1
DEF(0x01, 0x03, 0x5A, 6197);// Collision detected axis E2
DEF(0x01, 0x03, 0x5B, 6198);// Collision detected axis E3

DEF(0x01, 0x03, 0x70, 6426);// _Axis01UnderLowSoftLimit_
DEF(0x01, 0x03, 0x71, 6427);// _Axis01OverHighSoftLimit_
DEF(0x01, 0x03, 0x72, 6428);// _Axis02UnderLowSoftLimit_
DEF(0x01, 0x03, 0x73, 6429);// _Axis02OverHighSoftLimit_
DEF(0x01, 0x03, 0x74, 6430);// _Axis03UnderLowSoftLimit_
DEF(0x01, 0x03, 0x75, 6431);// _Axis03OverHighSoftLimit_
DEF(0x01, 0x03, 0x76, 6432);// _Axis04UnderLowSoftLimit_
DEF(0x01, 0x03, 0x77, 6433);// _Axis04OverHighSoftLimit_
DEF(0x01, 0x03, 0x78, 6434);// _Axis05UnderLowSoftLimit_
DEF(0x01, 0x03, 0x79, 6435);// _Axis05OverHighSoftLimit_
DEF(0x01, 0x03, 0x7A, 6436);// _Axis06UnderLowSoftLimit_
DEF(0x01, 0x03, 0x7B, 6437);// _Axis06OverHighSoftLimit_

DEF(0x01, 0x03, 0x7C, 6438);// _TCPUnderXLowSoftLimit_
DEF(0x01, 0x03, 0x7D, 6439);// _TCPOverXHighSoftLimit_
DEF(0x01, 0x03, 0x7E, 6440);// _TCPUnderYLowSoftLimit_
DEF(0x01, 0x03, 0x7F, 6441);// _TCPOverYHighSoftLimit_
DEF(0x01, 0x03, 0x80, 6442);// _TCPUnderZLowSoftLimit_
DEF(0x01, 0x03, 0x81, 6443);// _TCPOverZHighSoftLimit_
DEF(0x01, 0x03, 0x82, 6444);// _TCPUnderRadiusLowSoftLimit_
DEF(0x01, 0x03, 0x83, 6445);// _TCPOverRadiusHighSoftLimit_

//Operation error - function 0x04
DEF(0x01, 0x04, 0x10,    0);// Read driver 1 encoder is abnormality
DEF(0x01, 0x04, 0x11,    0);// Read driver 2 encoder is abnormality
DEF(0x01, 0x04, 0x12,    0);// Read driver 3 encoder is abnormality
DEF(0x01, 0x04, 0x13,    0);// Read driver 4 encoder is abnormality
DEF(0x01, 0x04, 0x14,    0);// Read driver 5 encoder is abnormality
DEF(0x01, 0x04, 0x15,    0);// Read driver 6 encoder is abnormality
DEF(0x01, 0x04, 0x16,    0);// Write data to driver 1 is abnormality
DEF(0x01, 0x04, 0x17,    0);// Write data to driver 2 is abnormality
DEF(0x01, 0x04, 0x18,    0);// Write data to driver 3 is abnormality
DEF(0x01, 0x04, 0x19,    0);// Write data to driver 4 is abnormality
DEF(0x01, 0x04, 0x1A,    0);// Write data to driver 5 is abnormality
DEF(0x01, 0x04, 0x1B,    0);// Write data to driver 6 is abnormality
DEF(0x01, 0x04, 0x1C,    0);// Clear driver 1 encoder is abnormality
DEF(0x01, 0x04, 0x1D,    0);// Clear driver 2 encoder is abnormality
DEF(0x01, 0x04, 0x1E,    0);// Clear driver 3 encoder is abnormality
DEF(0x01, 0x04, 0x1F,    0);// Clear driver 4 encoder is abnormality
DEF(0x01, 0x04, 0x20,    0);// Clear driver 5 encoder is abnormality
DEF(0x01, 0x04, 0x21,    0);// Clear driver 6 encoder is abnormality
DEF(0x01, 0x04, 0x30,    0);// Start position error is abnormality
DEF(0x01, 0x04, 0x40,    0);// RSR no file
DEF(0x01, 0x04, 0x41,    0);// PNS no file
DEF(0x01, 0x04, 0x50, 3007);// ISR delay stack overflow
DEF(0x01, 0x04, 0x51, 3008);// Motion command queue overflow
DEF(0x01, 0x04, 0x52, 6002);// Jog queue overflow
DEF(0x01, 0x04, 0x53, 6034);// Interpolation buffer overflow

//IO and communication error - function 0x05
DEF(0x01, 0x05, 0x10,    0);// TP connection error
DEF(0x01, 0x05, 0x20,    0);// ROBOT IO connection error
DEF(0x01, 0x05, 0x21,    0);// ROBOT IO disconnection
DEF(0x01, 0x05, 0x36, 3059);// FieldBus slot1 open failed
DEF(0x01, 0x05, 0x37, 3060);// FieldBus slot2 open failed
DEF(0x01, 0x05, 0x38, 3061);// FieldBus slot1 communication error
DEF(0x01, 0x05, 0x39, 3062);// FieldBus slot2 communication error
DEF(0x01, 0x05, 0x42, 3063);// Serial IO disconnection
DEF(0x01, 0x05, 0x51, 3446);// Pulse num out of limit                                                   

//Operator error - function 0x06
DEF(0x01, 0x06, 0x10,    0);// Motion delay command abnormality
DEF(0x01, 0x06, 0x11,    0);// Acceleration setting command abnormality
DEF(0x01, 0x06, 0x12,    0);// PTP motion command abnormality
DEF(0x01, 0x06, 0x13,    0);// Circle motion command abnormality
DEF(0x01, 0x06, 0x14,    0);// Line motion command abnormality
DEF(0x01, 0x06, 0x15,    0);// Feedspeed setting command abnormality
DEF(0x01, 0x06, 0x16,    0);// Counter number abnormality
DEF(0x01, 0x06, 0x17,    0);// Counter number abnormality
DEF(0x01, 0x06, 0x18,    0);// Counter stop number abnormality
DEF(0x01, 0x06, 0x19,    0);// DI number abnormality
DEF(0x01, 0x06, 0x1A,    0);// DO number abnormality
DEF(0x01, 0x06, 0x1B,    0);// RI number abnormality
DEF(0x01, 0x06, 0x1C,    0);// RO number abnormality
DEF(0x01, 0x06, 0x1D,    0);// VI number abnormality
DEF(0x01, 0x06, 0x1E,    0);// VO number abnormality
DEF(0x01, 0x06, 0x1F,    0);// Path abnormality

DEF(0x01, 0x06, 0x70, 3047); // Weaving frequency is out of range
DEF(0x01, 0x06, 0x71, 3048); // Weaving dwell time is out of range
DEF(0x01, 0x06, 0x72, 3049); // Weaving mode error
DEF(0x01, 0x06, 0x73, 6200); // Weaving acceleration is too fast
DEF(0x01, 0x06, 0x74, 6201); // Weaving acceleration is too slow
DEF(0x01, 0x06, 0x75, 6202); // Weaving plane error


//Extra Axis - function 0x07
DEF(0x01, 0x07, 0x10, 6148);// E1 axis following error overlimit
DEF(0x01, 0x07, 0x11, 6149);// E2 axis following error overlimit
DEF(0x01, 0x07, 0x12, 6150);// E3 axis following error overlimit
DEF(0x01, 0x07, 0x13, 6139);// E1 axis position overlimit of positive
DEF(0x01, 0x07, 0x14, 6140);// E1 axis position overlimit of negative
DEF(0x01, 0x07, 0x15, 6141);// E2 axis position overlimit of positive
DEF(0x01, 0x07, 0x16, 6142);// E2 axis position overlimit of negative
DEF(0x01, 0x07, 0x17, 6143);// E3 axis position overlimit of positive
DEF(0x01, 0x07, 0x18, 6144);// E3 axis position overlimit of negative
DEF(0x01, 0x07, 0x19,    0);// E1 axis clear encoder error
DEF(0x01, 0x07, 0x1A,    0);// E2 axis clear encoder error
DEF(0x01, 0x07, 0x1B,    0);// E3 axis clear encoder error

//Conveyor tracking error - function 0x08
DEF(0x01, 0x08, 0x10,    0);// Camera connection failure
DEF(0x01, 0x08, 0x11,    0);// Camera connection abnormality
DEF(0x01, 0x08, 0x12,    0);// Catch command error
DEF(0x01, 0x08, 0x13,    0);// Put command error
DEF(0x01, 0x08, 0x1E, 3012);// Encoder latch value inconsistent


/*
*  HIWIN Robot controller - device 0x02
*/

//Safety input - function 0x01
DEF(0x02, 0x01, 0x10,    0);// Emergency input


/*
*  Axis amplifier - device 0x03
*/

//Axis 1 - function 0x01
DEF(0x03, 0x01, 0x21, 6072);// Axis 1 overcurrent
DEF(0x03, 0x01, 0x25, 6318);// Axis 1 STO
DEF(0x03, 0x01, 0x26, 6327);// Axis 1 safe torque off error
DEF(0x03, 0x01, 0x27, 6417);// Axis 1 single STO
DEF(0x03, 0x01, 0x30, 6336);// Axis 1 current control error
DEF(0x03, 0x01, 0x31, 6345);// Axis 1 hybrid deviation too big
DEF(0x03, 0x01, 0x32, 6354);// Axis 1 HFLT inconsistent error
DEF(0x03, 0x01, 0x33, 6363);// Axis 1 auto phase center not complete
DEF(0x03, 0x01, 0x34, 6372);// Axis 1 DC bus volt abnormal
DEF(0x03, 0x01, 0x35, 6381);// Axis 1 ECAT interface not detected
DEF(0x03, 0x01, 0x36, 6390);// Axis 1 CiA-402 homing error
DEF(0x03, 0x01, 0x37, 6399);// Axis 1 fan fault error
DEF(0x03, 0x01, 0x38, 6408);// Axis 1 absolute serial encoder error
DEF(0x03, 0x01, 0x41, 6300);// Axis 1 overload
DEF(0x03, 0x01, 0x43,    0);// Axis 1 regenerative resistor overload
DEF(0x03, 0x01, 0x45, 6309);// Axis 1 overspeed
DEF(0x03, 0x01, 0x51, 6066);// Axis 1 amplifier thermal abnormality
DEF(0x03, 0x01, 0x52,    0);// Axis 1 anti surge resistor overheat
DEF(0x03, 0x01, 0x53,    0);// Axis 1 dynamic brake resistor overheat
DEF(0x03, 0x01, 0x58, 6060);// Axis 1 motor overheat
DEF(0x03, 0x01, 0x61, 6078);// Axis 1 overvoltage
DEF(0x03, 0x01, 0x62, 6084);// Axis 1 undervoltage
DEF(0x03, 0x01, 0x71,    0);// Axis 1 control voltage shortage
DEF(0x03, 0x01, 0x81,    0);// Axis 1 encoder disconnect
DEF(0x03, 0x01, 0x84, 6054);// Axis 1 encoder communcation abnormality
DEF(0x03, 0x01, 0x85, 6096);// Axis 1 encoder initial error(5V abnormality)
DEF(0x03, 0x01, 0x87,    0);// Axis 1 encoder CS abnormality
DEF(0x03, 0x01, 0xA1,    0);// Axis 1 encoder multiturn data error (battery abnormality)
DEF(0x03, 0x01, 0xA3,    0);// Axis 1 encoder overspeed
DEF(0x03, 0x01, 0xA5,    0);// Axis 1 encoder singleturn error
DEF(0x03, 0x01, 0xA6,    0);// Axis 1 encoder multiturn error
DEF(0x03, 0x01, 0xA9,    0);// Axis 1 encoder overheat
DEF(0x03, 0x01, 0xAB, 6036);// Axis 1 encoder error
DEF(0x03, 0x01, 0xC1, 6120);// Axis 1 speed overlimit
DEF(0x03, 0x01, 0xD1, 6042);// Axis 1 position error too big
DEF(0x03, 0x01, 0xE1,    0);// Axis 1 EEPROM abnormality
DEF(0x03, 0x01, 0xE2,    0);// Axis 1 EEPROM check is abnormality
DEF(0x03, 0x01, 0xEF,    0);// Axis 1 not matching
DEF(0x03, 0x01, 0xF3, 6015);// Axis 1 amplifier error
DEF(0x03, 0x01, 0xF4, 6048);// Axis 1 soft thermal reach limit
DEF(0x03, 0x01, 0xF5, 6090);// Axis 1 motor disconnect
DEF(0x03, 0x01, 0xF6, 6102);// Axis 1 amplifier phase initial error" );
DEF(0x03, 0x01, 0xF7, 6108);// Axis 1 Hall sensor error" );
DEF(0x03, 0x01, 0xF8, 6114);// Axis 1 Hall phase error" );

//Axis 2 - function 0x02
DEF(0x03, 0x02, 0x21, 6073);// Axis 2 overcurrent
DEF(0x03, 0x02, 0x25, 6319);// Axis 2 STO
DEF(0x03, 0x02, 0x26, 6328);// Axis 2 safe torque off error
DEF(0x03, 0x02, 0x27, 6418);// Axis 2 single STO
DEF(0x03, 0x02, 0x30, 6337);// Axis 2 current control error
DEF(0x03, 0x02, 0x31, 6346);// Axis 2 hybrid deviation too big
DEF(0x03, 0x02, 0x32, 6355);// Axis 2 HFLT inconsistent error
DEF(0x03, 0x02, 0x33, 6364);// Axis 2 auto phase center not complete
DEF(0x03, 0x02, 0x34, 6373);// Axis 2 DC bus volt abnormal
DEF(0x03, 0x02, 0x35, 6382);// Axis 2 ECAT interface not detected
DEF(0x03, 0x02, 0x36, 6391);// Axis 2 CiA-402 homing error
DEF(0x03, 0x02, 0x37, 6400);// Axis 2 fan fault error
DEF(0x03, 0x02, 0x38, 6409);// Axis 2 absolute serial encoder error
DEF(0x03, 0x02, 0x41, 6301);// Axis 2 overload
DEF(0x03, 0x02, 0x43,    0);// Axis 2 regenerative resistor overload
DEF(0x03, 0x02, 0x45, 6310);// Axis 2 overspeed
DEF(0x03, 0x02, 0x51, 6067);// Axis 2 amplifier thermal abnormality
DEF(0x03, 0x02, 0x52,    0);// Axis 2 anti surge resistor overheat
DEF(0x03, 0x02, 0x53,    0);// Axis 2 dynamic brake resistor overheat;
DEF(0x03, 0x02, 0x58, 6061);// Axis 2 motor overheat
DEF(0x03, 0x02, 0x61, 6079);// Axis 2 overvoltage
DEF(0x03, 0x02, 0x62, 6085);// Axis 2 undervoltage
DEF(0x03, 0x02, 0x71,    0);// Axis 2 control voltage shortage
DEF(0x03, 0x02, 0x81,    0);// Axis 2 encoder disconnect
DEF(0x03, 0x02, 0x84, 6055);// Axis 2 encoder communcation abnormality
DEF(0x03, 0x02, 0x85, 6097);// Axis 2 encoder initial error(5V abnormality)
DEF(0x03, 0x02, 0x87,    0);// Axis 2 encoder CS abnormality
DEF(0x03, 0x02, 0xA1,    0);// Axis 2 encoder multiturn data error (battery abnormality)
DEF(0x03, 0x02, 0xA3,    0);// Axis 2 encoder overspeed
DEF(0x03, 0x02, 0xA5,    0);// Axis 2 encoder singleturn error
DEF(0x03, 0x02, 0xA6,    0);// Axis 2 encoder multiturn error
DEF(0x03, 0x02, 0xA9,    0);// Axis 2 encoder overheat
DEF(0x03, 0x02, 0xAB, 6037);// Axis 2 encoder error
DEF(0x03, 0x02, 0xC1, 6121);// Axis 2 speed overlimit
DEF(0x03, 0x02, 0xD1, 6043);// Axis 2 position error too big
DEF(0x03, 0x02, 0xE1,    0);// Axis 2 EEPROM abnormality
DEF(0x03, 0x02, 0xE2,    0);// Axis 2 EEPROM check is abnormality
DEF(0x03, 0x02, 0xEF,    0);// Axis 2 not matching
DEF(0x03, 0x02, 0xF3, 6016);// Axis 2 amplifier error
DEF(0x03, 0x02, 0xF4, 6049);// Axis 2 soft thermal reach limit
DEF(0x03, 0x02, 0xF5, 6091);// Axis 2 motor disconnect
DEF(0x03, 0x02, 0xF6, 6103);// Axis 2 amplifier phase initial error" );
DEF(0x03, 0x02, 0xF7, 6109);// Axis 2 Hall sensor error" );
DEF(0x03, 0x02, 0xF8, 6115);// Axis 2 Hall phase error" );

//Axis 3 - function 0x03
DEF(0x03, 0x03, 0x21, 6074);// Axis 3 overcurrent
DEF(0x03, 0x03, 0x25, 6320);// Axis 3 STO
DEF(0x03, 0x03, 0x26, 6329);// Axis 3 safe torque off error
DEF(0x03, 0x03, 0x27, 6419);// Axis 3 single STO
DEF(0x03, 0x03, 0x30, 6338);// Axis 3 current control error
DEF(0x03, 0x03, 0x31, 6347);// Axis 3 hybrid deviation too big
DEF(0x03, 0x03, 0x32, 6356);// Axis 3 HFLT inconsistent error
DEF(0x03, 0x03, 0x33, 6365);// Axis 3 auto phase center not complete
DEF(0x03, 0x03, 0x34, 6374);// Axis 3 DC bus volt abnormal
DEF(0x03, 0x03, 0x35, 6383);// Axis 3 ECAT interface not detected
DEF(0x03, 0x03, 0x36, 6392);// Axis 3 CiA-402 homing error
DEF(0x03, 0x03, 0x37, 6401);// Axis 3 fan fault error
DEF(0x03, 0x03, 0x38, 6410);// Axis 3 absolute serial encoder error
DEF(0x03, 0x03, 0x41, 6302);// Axis 3 overload
DEF(0x03, 0x03, 0x43,    0);// Axis 3 regenerative resistor overload
DEF(0x03, 0x03, 0x45, 6311);// Axis 3 overspeed
DEF(0x03, 0x03, 0x51, 6068);// Axis 3 amplifier thermal abnormality
DEF(0x03, 0x03, 0x52,    0);// Axis 3 anti surge resistor overheat
DEF(0x03, 0x03, 0x53,    0);// Axis 3 dynamic brake resistor overheat
DEF(0x03, 0x03, 0x58, 6062);// Axis 3 motor overheat
DEF(0x03, 0x03, 0x61, 6080);// Axis 3 overvoltage
DEF(0x03, 0x03, 0x62, 6086);// Axis 3 undervoltage
DEF(0x03, 0x03, 0x71,    0);// Axis 3 control voltage shortage
DEF(0x03, 0x03, 0x81,    0);// Axis 3 encoder disconnect
DEF(0x03, 0x03, 0x84, 6056);// Axis 3 encoder communcation abnormality
DEF(0x03, 0x03, 0x85, 6098);// Axis 3 encoder initial error(5V abnormality)
DEF(0x03, 0x03, 0x87,    0);// Axis 3 encoder CS abnormality
DEF(0x03, 0x03, 0xA1,    0);// Axis 3 encoder multiturn data error (battery abnormality)
DEF(0x03, 0x03, 0xA3,    0);// Axis 3 encoder overspeed
DEF(0x03, 0x03, 0xA5,    0);// Axis 3 encoder singleturn error
DEF(0x03, 0x03, 0xA6,    0);// Axis 3 encoder multiturn error
DEF(0x03, 0x03, 0xA9,    0);// Axis 3 encoder overheat
DEF(0x03, 0x03, 0xAB, 6038);// Axis 3 encoder error
DEF(0x03, 0x03, 0xC1, 6122);// Axis 3 speed overlimit
DEF(0x03, 0x03, 0xD1, 6044);// Axis 3 position error too big
DEF(0x03, 0x03, 0xE1,    0);// Axis 3 EEPROM abnormality
DEF(0x03, 0x03, 0xE2,    0);// Axis 3 EEPROM check is abnormality
DEF(0x03, 0x03, 0xEF,    0);// Axis 3 not matching
DEF(0x03, 0x03, 0xF3, 6017);// Axis 3 amplifier error
DEF(0x03, 0x03, 0xF4, 6050);// Axis 3 soft thermal reach limit
DEF(0x03, 0x03, 0xF5, 6092);// Axis 3 motor disconnect
DEF(0x03, 0x03, 0xF6, 6104);// Axis 3 amplifier phase initial error" );
DEF(0x03, 0x03, 0xF7, 6110);// Axis 3 Hall sensor error" );
DEF(0x03, 0x03, 0xF8, 6116);// Axis 3 Hall phase error" );

//Axis 4 - function 0x04
DEF(0x03, 0x04, 0x21, 6075);// Axis 4 overcurrent
DEF(0x03, 0x04, 0x25, 6321);// Axis 4 STO
DEF(0x03, 0x04, 0x26, 6330);// Axis 4 safe torque off error
DEF(0x03, 0x04, 0x27, 6420);// Axis 4 single STO
DEF(0x03, 0x04, 0x30, 6339);// Axis 4 current control error
DEF(0x03, 0x04, 0x31, 6348);// Axis 4 hybrid deviation too big
DEF(0x03, 0x04, 0x32, 6357);// Axis 4 HFLT inconsistent error
DEF(0x03, 0x04, 0x33, 6366);// Axis 4 auto phase center not complete
DEF(0x03, 0x04, 0x34, 6375);// Axis 4 DC bus volt abnormal
DEF(0x03, 0x04, 0x35, 6384);// Axis 4 ECAT interface not detected
DEF(0x03, 0x04, 0x36, 6393);// Axis 4 CiA-402 homing error
DEF(0x03, 0x04, 0x37, 6402);// Axis 4 fan fault error
DEF(0x03, 0x04, 0x38, 6411);// Axis 4 absolute serial encoder error
DEF(0x03, 0x04, 0x41, 6303);// Axis 4 overload
DEF(0x03, 0x04, 0x43,    0);// Axis 4 regenerative resistor overload
DEF(0x03, 0x04, 0x45, 6312);// Axis 4 overspeed
DEF(0x03, 0x04, 0x51, 6069);// Axis 4 amplifier thermal abnormality
DEF(0x03, 0x04, 0x52,    0);// Axis 4 anti surge resistor overheat
DEF(0x03, 0x04, 0x53,    0);// Axis 4 dynamic brake resistor overheat
DEF(0x03, 0x04, 0x58, 6063);// Axis 4 motor overheat
DEF(0x03, 0x04, 0x61, 6081);// Axis 4 overvoltage
DEF(0x03, 0x04, 0x62, 6087);// Axis 4 undervoltage
DEF(0x03, 0x04, 0x71,    0);// Axis 4 control voltage shortage
DEF(0x03, 0x04, 0x81,    0);// Axis 4 encoder disconnect
DEF(0x03, 0x04, 0x84, 6057);// Axis 4 encoder communcation abnormality
DEF(0x03, 0x04, 0x85, 6099);// Axis 4 encoder initial error(5V abnormality)
DEF(0x03, 0x04, 0x87,    0);// Axis 4 encoder CS abnormality
DEF(0x03, 0x04, 0xA1,    0);// Axis 4 encoder multiturn data error (battery abnormality)
DEF(0x03, 0x04, 0xA3,    0);// Axis 4 encoder overspeed
DEF(0x03, 0x04, 0xA5,    0);// Axis 4 encoder singleturn error
DEF(0x03, 0x04, 0xA6,    0);// Axis 4 encoder multiturn error
DEF(0x03, 0x04, 0xA9,    0);// Axis 4 encoder overheat
DEF(0x03, 0x04, 0xAB, 6039);// Axis 4 encoder error
DEF(0x03, 0x04, 0xC1, 6123);// Axis 4 speed overlimit
DEF(0x03, 0x04, 0xD1, 6045);// Axis 4 position error too big
DEF(0x03, 0x04, 0xE1,    0);// Axis 4 EEPROM abnormality
DEF(0x03, 0x04, 0xE2,    0);// Axis 4 EEPROM check is abnormality
DEF(0x03, 0x04, 0xEF,    0);// Axis 4 not matching
DEF(0x03, 0x04, 0xF3, 6018);// Axis 4 amplifier error
DEF(0x03, 0x04, 0xF4, 6051);// Axis 4 soft thermal reach limit
DEF(0x03, 0x04, 0xF5, 6093);// Axis 4 motor disconnect
DEF(0x03, 0x04, 0xF6, 6105);// Axis 4 amplifier phase initial error" );
DEF(0x03, 0x04, 0xF7, 6111);// Axis 4 Hall sensor error" );
DEF(0x03, 0x04, 0xF8, 6117);// Axis 4 Hall phase error" );

//Axis 5 - function 0x05
DEF(0x03, 0x05, 0x21, 6076);// Axis 5 overcurrent
DEF(0x03, 0x05, 0x25, 6322);// Axis 5 STO
DEF(0x03, 0x05, 0x26, 6331);// Axis 5 safe torque off error
DEF(0x03, 0x05, 0x27, 6421);// Axis 5 single STO
DEF(0x03, 0x05, 0x30, 6340);// Axis 5 current control error
DEF(0x03, 0x05, 0x31, 6349);// Axis 5 hybrid deviation too big
DEF(0x03, 0x05, 0x32, 6358);// Axis 5 HFLT inconsistent error
DEF(0x03, 0x05, 0x33, 6367);// Axis 5 auto phase center not complete
DEF(0x03, 0x05, 0x34, 6376);// Axis 5 DC bus volt abnormal
DEF(0x03, 0x05, 0x35, 6385);// Axis 5 ECAT interface not detected
DEF(0x03, 0x05, 0x36, 6394);// Axis 5 CiA-402 homing error
DEF(0x03, 0x05, 0x37, 6403);// Axis 5 fan fault error
DEF(0x03, 0x05, 0x38, 6412);// Axis 5 absolute serial encoder error
DEF(0x03, 0x05, 0x41, 6304);// Axis 5 overload
DEF(0x03, 0x05, 0x43,    0);// Axis 5 regenerative resistor overload
DEF(0x03, 0x05, 0x45, 6313);// Axis 5 overspeed
DEF(0x03, 0x05, 0x51, 6070);// Axis 5 amplifier thermal abnormality
DEF(0x03, 0x05, 0x52,    0);// Axis 5 anti surge resistor overheat
DEF(0x03, 0x05, 0x53,    0);// Axis 5 dynamic brake resistor overheat
DEF(0x03, 0x05, 0x58, 6064);// Axis 5 motor overheat
DEF(0x03, 0x05, 0x61, 6082);// Axis 5 overvoltage
DEF(0x03, 0x05, 0x62, 6088);// Axis 5 undervoltage
DEF(0x03, 0x05, 0x71,    0);// Axis 5 control voltage shortage
DEF(0x03, 0x05, 0x81,    0);// Axis 5 encoder disconnect
DEF(0x03, 0x05, 0x84, 6058);// Axis 5 encoder communcation abnormality
DEF(0x03, 0x05, 0x85, 6100);// Axis 5 encoder initial error(5V abnormality)
DEF(0x03, 0x05, 0x87,    0);// Axis 5 encoder CS abnormality
DEF(0x03, 0x05, 0xA1,    0);// Axis 5 encoder multiturn data error (battery abnormality)
DEF(0x03, 0x05, 0xA3,    0);// Axis 5 encoder overspeed
DEF(0x03, 0x05, 0xA5,    0);// Axis 5 encoder singleturn error
DEF(0x03, 0x05, 0xA6,    0);// Axis 5 encoder multiturn error
DEF(0x03, 0x05, 0xA9,    0);// Axis 5 encoder overheat
DEF(0x03, 0x05, 0xAB, 6040);// Axis 5 encoder error
DEF(0x03, 0x05, 0xC1, 6124);// Axis 5 speed overlimit
DEF(0x03, 0x05, 0xD1, 6046);// Axis 5 position error too big
DEF(0x03, 0x05, 0xE1,    0);// Axis 5 EEPROM abnormality
DEF(0x03, 0x05, 0xE2,    0);// Axis 5 EEPROM check is abnormality
DEF(0x03, 0x05, 0xEF,    0);// Axis 5 not matching
DEF(0x03, 0x05, 0xF3, 6019);// Axis 5 amplifier error
DEF(0x03, 0x05, 0xF4, 6052);// Axis 5 soft thermal reach limit
DEF(0x03, 0x05, 0xF5, 6094);// Axis 5 motor disconnect
DEF(0x03, 0x05, 0xF6, 6106);// Axis 5 amplifier phase initial error" );
DEF(0x03, 0x05, 0xF7, 6112);// Axis 5 Hall sensor error" );
DEF(0x03, 0x05, 0xF8, 6118);// Axis 5 Hall phase error" );

//Axis 6 - function 0x06
DEF(0x03, 0x06, 0x21, 6077);// Axis 6 overcurrent
DEF(0x03, 0x06, 0x25, 6323);// Axis 6 STO
DEF(0x03, 0x06, 0x26, 6332);// Axis 6 safe torque off error
DEF(0x03, 0x06, 0x27, 6422);// Axis 6 single STO
DEF(0x03, 0x06, 0x30, 6341);// Axis 6 current control error
DEF(0x03, 0x06, 0x31, 6350);// Axis 6 hybrid deviation too big
DEF(0x03, 0x06, 0x32, 6359);// Axis 6 HFLT inconsistent error
DEF(0x03, 0x06, 0x33, 6368);// Axis 6 auto phase center not complete
DEF(0x03, 0x06, 0x34, 6377);// Axis 6 DC bus volt abnormal
DEF(0x03, 0x06, 0x35, 6386);// Axis 6 ECAT interface not detected
DEF(0x03, 0x06, 0x36, 6395);// Axis 6 CiA-402 homing error
DEF(0x03, 0x06, 0x37, 6404);// Axis 6 fan fault error
DEF(0x03, 0x06, 0x38, 6413);// Axis 6 absolute serial encoder error
DEF(0x03, 0x06, 0x41, 6305);// Axis 6 overload
DEF(0x03, 0x06, 0x43,    0);// Axis 6 regenerative resistor overload
DEF(0x03, 0x06, 0x45, 6314);// Axis 6 overspeed
DEF(0x03, 0x06, 0x51, 6071);// Axis 6 amplifier thermal abnormality
DEF(0x03, 0x06, 0x52,    0);// Axis 6 anti surge resistor overheat
DEF(0x03, 0x06, 0x53,    0);// Axis 6 dynamic brake resistor overheat
DEF(0x03, 0x06, 0x58, 6065);// Axis 6 motor overheat
DEF(0x03, 0x06, 0x61, 6083);// Axis 6 overvoltage
DEF(0x03, 0x06, 0x62, 6089);// Axis 6 undervoltage
DEF(0x03, 0x06, 0x71,    0);// Axis 6 control voltage shortage
DEF(0x03, 0x06, 0x81,    0);// Axis 6 encoder disconnect
DEF(0x03, 0x06, 0x84, 6059);// Axis 6 encoder communcation abnormality
DEF(0x03, 0x06, 0x85, 6101);// Axis 6 encoder initial error(5V abnormality)
DEF(0x03, 0x06, 0x87,    0);// Axis 6 encoder CS abnormality
DEF(0x03, 0x06, 0xA1,    0);// Axis 6 encoder multiturn data error (battery abnormality)
DEF(0x03, 0x06, 0xA3,    0);// Axis 6 encoder overspeed
DEF(0x03, 0x06, 0xA5,    0);// Axis 6 encoder singleturn error
DEF(0x03, 0x06, 0xA6,    0);// Axis 6 encoder multiturn error
DEF(0x03, 0x06, 0xA9,    0);// Axis 6 encoder overheat
DEF(0x03, 0x06, 0xAB, 6041);// Axis 6 encoder error
DEF(0x03, 0x06, 0xC1, 6125);// Axis 6 speed overlimit
DEF(0x03, 0x06, 0xD1, 6047);// Axis 6 position error too big
DEF(0x03, 0x06, 0xE1,    0);// Axis 6 EEPROM abnormality
DEF(0x03, 0x06, 0xE2,    0);// Axis 6 EEPROM check is abnormality
DEF(0x03, 0x06, 0xEF,    0);// Axis 6 not matching
DEF(0x03, 0x06, 0xF3, 6020);// Axis 6 amplifier error
DEF(0x03, 0x06, 0xF4, 6053);// Axis 6 soft thermal reach limit
DEF(0x03, 0x06, 0xF5, 6095);// Axis 6 motor disconnect
DEF(0x03, 0x06, 0xF6, 6107);// Axis 6 amplifier phase initial error" );
DEF(0x03, 0x06, 0xF7, 6113);// Axis 6 Hall sensor error" );
DEF(0x03, 0x06, 0xF8, 6119);// Axis 6 Hall phase error" );

//Axis E1 - function 0xE1
DEF(0x03, 0xE1, 0x21, 6163);// Axis E1 overcurrent
DEF(0x03, 0xE1, 0x25, 6324);// Axis E1 STO
DEF(0x03, 0xE1, 0x26, 6333);// Axis E1 safe torque off error
DEF(0x03, 0xE1, 0x27, 6423);// Axis E1 single STO
DEF(0x03, 0xE1, 0x30, 6342);// Axis E1 current control error
DEF(0x03, 0xE1, 0x31, 6351);// Axis E1 hybrid deviation too big
DEF(0x03, 0xE1, 0x32, 6360);// Axis E1 HFLT inconsistent error
DEF(0x03, 0xE1, 0x33, 6369);// Axis E1 auto phase center not complete
DEF(0x03, 0xE1, 0x34, 6378);// Axis E1 DC bus volt abnormal
DEF(0x03, 0xE1, 0x35, 6387);// Axis E1 ECAT interface not detected
DEF(0x03, 0xE1, 0x36, 6396);// Axis E1 CiA-402 homing error
DEF(0x03, 0xE1, 0x37, 6405);// Axis E1 fan fault error
DEF(0x03, 0xE1, 0x38, 6414);// Axis E1 absolute serial encoder error
DEF(0x03, 0xE1, 0x41, 6306);// Axis E1 overload
DEF(0x03, 0xE1, 0x43,    0);// Axis E1 regenerative resistor overload
DEF(0x03, 0xE1, 0x45, 6315);// Axis E1 overspeed
DEF(0x03, 0xE1, 0x51, 6160);// Axis E1 amplifier thermal abnormality
DEF(0x03, 0xE1, 0x52,    0);// Axis E1 anti surge resistor overheat
DEF(0x03, 0xE1, 0x53,    0);// Axis E1 dynamic brake resistor overheat
DEF(0x03, 0xE1, 0x58, 6157);// Axis E1 motor overheat
DEF(0x03, 0xE1, 0x61, 6166);// Axis E1 overvoltage
DEF(0x03, 0xE1, 0x62, 6169);// Axis E1 undervoltage
DEF(0x03, 0xE1, 0x71,    0);// Axis E1 control voltage shortage
DEF(0x03, 0xE1, 0x81,    0);// Axis E1 encoder disconnect
DEF(0x03, 0xE1, 0x84, 6154);// Axis E1 encoder communcation abnormality
DEF(0x03, 0xE1, 0x85, 6175);// Axis E1 encoder initial error(5V abnormality)
DEF(0x03, 0xE1, 0x87,    0);// Axis E1 encoder CS abnormality
DEF(0x03, 0xE1, 0xA1,    0);// Axis E1 encoder multiturn data error (battery abnormality)
DEF(0x03, 0xE1, 0xA3,    0);// Axis E1 encoder overspeed
DEF(0x03, 0xE1, 0xA5,    0);// Axis E1 encoder singleturn error
DEF(0x03, 0xE1, 0xA6,    0);// Axis E1 encoder multiturn error
DEF(0x03, 0xE1, 0xA9,    0);// Axis E1 encoder overheat
DEF(0x03, 0xE1, 0xAB, 6145);// Axis E1 encoder error
DEF(0x03, 0xE1, 0xC1, 6187);// Axis E1 speed overlimit
DEF(0x03, 0xE1, 0xD1, 6148);// Axis E1 position error too big
DEF(0x03, 0xE1, 0xD2, 6448);// Axis E1 reach positive limit
DEF(0x03, 0xE1, 0xD3, 6451);// Axis E1 reach negative limit
DEF(0x03, 0xE1, 0xE1,    0);// Axis E1 EEPROM abnormality
DEF(0x03, 0xE1, 0xE2,    0);// Axis E1 EEPROM check is abnormality
DEF(0x03, 0xE1, 0xEF,    0);// Axis E1 not matching
DEF(0x03, 0xE1, 0xF3, 6136);// Axis E1 amplifier error
DEF(0x03, 0xE1, 0xF4, 6151);// Axis E1 soft thermal reach limit
DEF(0x03, 0xE1, 0xF5, 6172);// Axis E1 motor disconnect
DEF(0x03, 0xE1, 0xF6, 6178);// Axis E1 amplifier phase initial error
DEF(0x03, 0xE1, 0xF7, 6181);// Axis E1 Hall sensor error
DEF(0x03, 0xE1, 0xF8, 6184);// Axis E1 Hall phase error
DEF(0x03, 0xE1, 0xF1, 6130);// Axis E1 position check error
DEF(0x03, 0xE1, 0xF2, 6133);// Axis E1 servo lag too big


//Axis E2 - function 0xE2
DEF(0x03, 0xE2, 0x21, 6164);// Axis E2 overcurrent
DEF(0x03, 0xE2, 0x25, 6325);// Axis E2 STO
DEF(0x03, 0xE2, 0x26, 6334);// Axis E2 safe torque off error
DEF(0x03, 0xE2, 0x27, 6424);// Axis E2 single STO
DEF(0x03, 0xE2, 0x30, 6343);// Axis E2 current control error
DEF(0x03, 0xE2, 0x31, 6352);// Axis E2 hybrid deviation too big
DEF(0x03, 0xE2, 0x32, 6361);// Axis E2 HFLT inconsistent error
DEF(0x03, 0xE2, 0x33, 6370);// Axis E2 auto phase center not complete
DEF(0x03, 0xE2, 0x34, 6379);// Axis E2 DC bus volt abnormal
DEF(0x03, 0xE2, 0x35, 6388);// Axis E2 ECAT interface not detected
DEF(0x03, 0xE2, 0x36, 6397);// Axis E2 CiA-402 homing error
DEF(0x03, 0xE2, 0x37, 6406);// Axis E2 fan fault error
DEF(0x03, 0xE2, 0x38, 6415);// Axis E2 absolute serial encoder error
DEF(0x03, 0xE2, 0x41, 6307);// Axis E2 overload
DEF(0x03, 0xE2, 0x43,    0);// Axis E2 regenerative resistor overload
DEF(0x03, 0xE2, 0x45, 6316);// Axis E2 overspeed
DEF(0x03, 0xE2, 0x51, 6161);// Axis E2 amplifier thermal abnormality
DEF(0x03, 0xE2, 0x52,    0);// Axis E2 anti surge resistor overheat
DEF(0x03, 0xE2, 0x53,    0);// Axis E2 dynamic brake resistor overheat
DEF(0x03, 0xE2, 0x58, 6158);// Axis E2 motor overheat
DEF(0x03, 0xE2, 0x61, 6167);// Axis E2 overvoltage
DEF(0x03, 0xE2, 0x62, 6170);// Axis E2 undervoltage
DEF(0x03, 0xE2, 0x71,    0);// Axis E2 control voltage shortage
DEF(0x03, 0xE2, 0x81,    0);// Axis E2 encoder disconnect
DEF(0x03, 0xE2, 0x84, 6155);// Axis E2 encoder communcation abnormality
DEF(0x03, 0xE2, 0x85, 6176);// Axis E2 encoder initial error(5V abnormality)
DEF(0x03, 0xE2, 0x87,    0);// Axis E2 encoder CS abnormality
DEF(0x03, 0xE2, 0xA1,    0);// Axis E2 encoder multiturn data error (battery abnormality)
DEF(0x03, 0xE2, 0xA3,    0);// Axis E2 encoder overspeed
DEF(0x03, 0xE2, 0xA5,    0);// Axis E2 encoder singleturn error
DEF(0x03, 0xE2, 0xA6,    0);// Axis E2 encoder multiturn error
DEF(0x03, 0xE2, 0xA9,    0);// Axis E2 encoder overheat
DEF(0x03, 0xE2, 0xAB, 6146);// Axis E2 encoder error
DEF(0x03, 0xE2, 0xC1, 6188);// Axis E2 speed overlimit
DEF(0x03, 0xE2, 0xD1, 6149);// Axis E2 position error too big
DEF(0x03, 0xE2, 0xD2, 6449);// Axis E2 reach positive limit
DEF(0x03, 0xE2, 0xD3, 6452);// Axis E2 reach negative limit
DEF(0x03, 0xE2, 0xE1,    0);// Axis E2 EEPROM abnormality
DEF(0x03, 0xE2, 0xE2,    0);// Axis E2 EEPROM check is abnormality
DEF(0x03, 0xE2, 0xEF,    0);// Axis E2 not matching
DEF(0x03, 0xE2, 0xF3, 6137);// Axis E2 amplifier error
DEF(0x03, 0xE2, 0xF4, 6152);// Axis E2 soft thermal reach limit
DEF(0x03, 0xE2, 0xF5, 6173);// Axis E2 motor disconnect
DEF(0x03, 0xE2, 0xF6, 6179);// Axis E2 amplifier phase initial error" );
DEF(0x03, 0xE2, 0xF7, 6182);// Axis E2 Hall sensor error" );
DEF(0x03, 0xE2, 0xF8, 6185);// Axis E2 Hall phase error" );
DEF(0x03, 0xE2, 0xF1, 6131);// Axis E2 position check error
DEF(0x03, 0xE2, 0xF2, 6134);// Axis E2 servo lag too big

//Axis E3 - function 0xE3
DEF(0x03, 0xE3, 0x21, 6165);// Axis E3 overcurrent
DEF(0x03, 0xE3, 0x25, 6326);// Axis E3 STO
DEF(0x03, 0xE3, 0x26, 6335);// Axis E3 safe torque off error
DEF(0x03, 0xE3, 0x27, 6425);// Axis E3 single STO
DEF(0x03, 0xE3, 0x30, 6344);// Axis E3 current control error
DEF(0x03, 0xE3, 0x31, 6353);// Axis E3 hybrid deviation too big
DEF(0x03, 0xE3, 0x32, 6362);// Axis E3 HFLT inconsistent error
DEF(0x03, 0xE3, 0x33, 6371);// Axis E3 auto phase center not complete
DEF(0x03, 0xE3, 0x34, 6380);// Axis E3 DC bus volt abnormal
DEF(0x03, 0xE3, 0x35, 6389);// Axis E3 ECAT interface not detected
DEF(0x03, 0xE3, 0x36, 6398);// Axis E3 CiA-402 homing error
DEF(0x03, 0xE3, 0x37, 6407);// Axis E3 fan fault error
DEF(0x03, 0xE3, 0x38, 6416);// Axis E3 absolute serial encoder error
DEF(0x03, 0xE3, 0x41, 6308);// Axis E3 overload
DEF(0x03, 0xE3, 0x43,    0);// Axis E3 regenerative resistor overload
DEF(0x03, 0xE3, 0x45, 6317);// Axis E3 overspeed
DEF(0x03, 0xE3, 0x51, 6162);// Axis E3 amplifier thermal abnormality
DEF(0x03, 0xE3, 0x52,    0);// Axis E3 anti surge resistor overheat
DEF(0x03, 0xE3, 0x53,    0);// Axis E3 dynamic brake resistor overheat
DEF(0x03, 0xE3, 0x58, 6157);// Axis E3 motor overheat
DEF(0x03, 0xE3, 0x61, 6168);// Axis E3 overvoltage
DEF(0x03, 0xE3, 0x62, 6171);// Axis E3 undervoltage
DEF(0x03, 0xE3, 0x71,    0);// Axis E3 control voltage shortage
DEF(0x03, 0xE3, 0x81,    0);// Axis E3 encoder disconnect
DEF(0x03, 0xE3, 0x84, 6156);// Axis E3 encoder communcation abnormality
DEF(0x03, 0xE3, 0x85, 6177);// Axis E3 encoder initial error(5V abnormality)
DEF(0x03, 0xE3, 0x87,    0);// Axis E3 encoder CS abnormality
DEF(0x03, 0xE3, 0xA1,    0);// Axis E3 encoder multiturn data error (battery abnormality)
DEF(0x03, 0xE3, 0xA3,    0);// Axis E3 encoder overspeed
DEF(0x03, 0xE3, 0xA5,    0);// Axis E3 encoder singleturn error
DEF(0x03, 0xE3, 0xA6,    0);// Axis E3 encoder multiturn error
DEF(0x03, 0xE3, 0xA9,    0);// Axis E3 encoder overheat
DEF(0x03, 0xE3, 0xAB, 6147);// Axis E3 encoder error
DEF(0x03, 0xE3, 0xC1, 6189);// Axis E3 speed overlimit
DEF(0x03, 0xE3, 0xD1, 6150);// Axis E3 position error too big
DEF(0x03, 0xE3, 0xD2, 6450);// Axis E3 reach positive limit
DEF(0x03, 0xE3, 0xD3, 6453);// Axis E3 reach negative limit
DEF(0x03, 0xE3, 0xE1,    0);// Axis E3 EEPROM abnormality
DEF(0x03, 0xE3, 0xE2,    0);// Axis E3 EEPROM check is abnormality
DEF(0x03, 0xE3, 0xEF,    0);// Axis E3 not matching
DEF(0x03, 0xE3, 0xF3, 6138);// Axis E3 amplifier error
DEF(0x03, 0xE3, 0xF4, 6153);// Axis E3 soft thermal reach limit
DEF(0x03, 0xE3, 0xF5, 6174);// Axis E3 motor disconnect
DEF(0x03, 0xE3, 0xF6, 6180);// Axis E3 amplifier phase initial error" );
DEF(0x03, 0xE3, 0xF7, 6183);// Axis E3 Hall sensor error" );
DEF(0x03, 0xE3, 0xF8, 6186);// Axis E3 Hall phase error" );
DEF(0x03, 0xE3, 0xF1, 6132);// Axis E3 position check error
DEF(0x03, 0xE3, 0xF2, 6135);// Axis E3 servo lag too big